kind: pipeline
name: package-build

volumes:
- name: hostpackagepath
  host:
    path: /packages/ondokuz

steps:
- name: build
  image: pardus/ondokuz:build-slave
  volumes:
  - name: hostpackagepath
    path: /packages
  commands:
  - export DEBEMAIL=$DRONE_COMMIT_AUTHOR_EMAIL
  - DEBFULLNAME=$DRONE_COMMIT_AUTHOR_NAME
  - export DEBFULLNAME
  - export DEBIAN_FRONTEND=noninteractive
  - apt-get update
  - apt-get install -y build-essential equivs devscripts git git-buildpackage
  - git config --global user.name $DRONE_COMMIT_AUTHOR_NAME
  - git config --global user.email $DRONE_COMMIT_AUTHOR_EMAIL
  - mkdir -p /build
  - mk-build-deps -ir -t "apt-get -o Debug::pkgProblemResolver=yes --no-install-recommends -y"
  - git fetch --tags
  - gbp buildpackage --git-export-dir=/build -S -us -uc
  - gbp buildpackage --git-export-dir=/build -b -us -uc
  - rm -rf /packages/$DRONE_REPO_NAME
  - cp -vfr /build /packages/$DRONE_REPO_NAME

- name: test
  image: pardus/ondokuz:build-slave
  volumes:
  - name: hostpackagepath
    path: /packages
  commands:
  - id
  - export DEBIAN_FRONTEND=noninteractive
  - apt-get update
  - apt-get install -fy /packages/$DRONE_REPO_NAME/*.deb
